	;
	;*******************************************
	;*                                         *
	;*  Stack engine macros include file V1.0  *
	;*                                         *
	;*******************************************
	;
	; (C) 2005 Oliver Bartels F+E
	;
	; (20.08.2005)
	;
	;Stack engine command macros:
	;============================
	;
sc_nop		.macro
		.word	00000H
		.endm
	;
sc_stop		.macro
		.word	00100H
		.endm
	;
sc_jump		.macro	destlabel
		.word	00200H+((destlabel-$-1)&0FFH)
		.endm
	;
sc_ajump	.macro	destlabel
		.word	00300H
		.word	destlabel-prog_start_:cur_prog_id:
		.endm
	;
sc_acall	.macro	destlabel
		.word	00400H
		.word	destlabel-prog_start_:cur_prog_id:
		.endm
	;
sc_ret		.macro
		.word	00500H
		.endm
	;
sc_jumpge	.macro	destlabel
		.word	00600H+((destlabel-$-1)&0FFH)
		.endm
	;
sc_jumplt	.macro	destlabel
		.word	00700H+((destlabel-$-1)&0FFH)
		.endm
	;
sc_jumpeq	.macro	destlabel
		.word	00800H+((destlabel-$-1)&0FFH)
		.endm
	;
sc_jumpnz	.macro	destlabel
		.word	00900H+((destlabel-$-1)&0FFH)
		.endm
	;
sc_jumpz	.macro	destlabel
		.word	00A00H+((destlabel-$-1)&0FFH)
		.endm
	;
sc_chain	.macro
		.word	00B00H
		.endm
	;
sc_ldshco	.macro	constpar
		.word	01000H+(constpar&0FFH)
		.endm
	;
sc_ldconst	.macro	constpar
		.word	01100H
		.word	constpar
		.endm
	;
sc_ldconste	.macro	constpar,constexp
		.word	01100H+(constexp&0FFH)
		.word	constpar
		.endm
	;
sc_loadvar	.macro	varnum
		.word	01200H+(varnum&0FFH)
		.endm
	;
sc_storevar	.macro	varnum
		.word	01300H+(varnum&0FFH)
		.endm
	;
sc_loadset	.macro	setparnum
		.word	01400H+(setparnum&0FFH)
		.endm
	;
sc_storeset	.macro	setparnum
		.word	01500H+(setparnum&0FFH)
		.endm
	;
sc_setup	.macro	firstsetparnum,setbitfield
		.word	01600H+(firstsetparnum&0FFH)
		.word	setbitfield
		.endm
	;
sc_swap		.macro
		.word	02000H
		.endm
	;
sc_dup		.macro
		.word	02100H
		.endm
	;
sc_add		.macro
		.word	02200H
		.endm
	;
sc_sub		.macro
		.word	02300H
		.endm
	;
sc_mul		.macro
		.word	02400H
		.endm
	;
sc_div		.macro
		.word	02500H
		.endm
	;
sc_pow		.macro
		.word	02600H
		.endm
	;
sc_chsign	.macro
		.word	02700H
		.endm
	;
sc_square	.macro
		.word	02800H
		.endm
	;
sc_sqrt		.macro
		.word	02900H
		.endm
	;
sc_exp		.macro
		.word	02A00H
		.endm
	;
sc_log		.macro
		.word	02B00H
		.endm
	;
sc_log10	.macro
		.word	02C00H
		.endm
	;
sc_sin		.macro
		.word	02D00H
		.endm
	;
sc_cos		.macro
		.word	02E00H
		.endm
	;
sc_lognot	.macro
		.word	04000H
		.endm
	;
sc_checkrng	.macro
		.word	04100H
		.endm
	;
sc_max		.macro
		.word	04200H
		.endm
	;
sc_imod		.macro
		.word	04300H
		.endm
	;
sc_fileread	.macro
		.word	05000H
		.endm
	;
sc_filewrite	.macro
		.word	05100H
		.endm
	;
sc_filedel	.macro
		.word	05200H
		.endm
	;
sc_clrfld	.macro	dispfldid
		.word	06000H+(dispfldid&0FFH)
		.endm
	;
sc_printstr	.macro	dispfldid,textstr
		.word	06100H+(dispfldid&0FFH)
		.string	":textstr:",0
		.even
		.endm
	;
sc_printint	.macro	dispfldid
		.word	06200H+(dispfldid&0FFH)
		.endm
	;
sc_ppixtext	.macro	pixrow,pixcol,invflag,textstr
		.word	06300H+(invflag&0FFH)
		.word	pixrow*0100H+pixcol
		.string	":textstr:",0
		.even
		.endm
	;
sc_ppixspace	.macro	pixrow,pixcol,invflag
		.word	06300H+(invflag&0FFH)
		.word	pixrow*0100H+pixcol
		.string	' ',0
		.even
		.endm
	;
sc_ppixdbl	.macro	pixrow,pixcol,invflag,fmtstr
		.word	06400H+(invflag&0FFH)
		.word	pixrow*0100H+pixcol
		.string	":fmtstr:",0
		.even
		.endm
	;
sc_ppixbar	.macro	pixrow
		.word	06500H+(pixrow&0FFH)
		.endm
	;
	;
	;Pseudo init. data command macros:
	;=================================
	;
sc_startprog	.macro	fileid
		.word	0F000H
		.word	fileid
		.word	prog_end_:fileid:-prog_start_:fileid:
prog_start_:fileid:	.set	$
		.eval	fileid,cur_prog_id
		.endm
	;
sc_endprog	.macro
		.word	00100H		;Stop
prog_end_:cur_prog_id:	.set	$
		.endm
	;
sc_endinitab	.macro
		.word	0F100H
		.endm
	;
	;End of Macro file
